node# frontend

This is the frontend for the coding challenge. We use VueJS/NuxtJS as a JS framework. We use tailwind CSS for CSS styling.

- VueJS: https://vuejs.org/v2/guide/
- NuxtJS: https://nuxtjs.org/guide/
- Tailwind CSS: https://tailwindcss.com/

To start the frontend, run:

```sh
# install dependencies
$ npm install

# serve with hot reload at localhost:3000 (for development!)
$ npm run dev

# build for production and launch server
$ npm run build
$ npm run start

# generate static project
$ npm run generate
```

To get started on coding, have a look at `pages/index.vue`. This is the page that is served after you run `npm run dev`.

Don't panic if you don't know Vue. We don't need a perfect execution from you - as of now we need a working one. It can be hacky if it works (:
